Bug 113731 - "scsi add-single-device" and "scsi remove-single-device"
"scsi add-single-device" and "scsi remove-single-device"
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel-utils (Show other bugs)
2.1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 16:49 EST by Wendy Cheng
Modified: 2013-08-05 21:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-07 16:28:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wendy Cheng 2004-01-16 16:49:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20020830

Description of problem:
Customers are in needs to have a reliable way to add/remove luns
into/from the system during run time for good reasons. The current
commands available to them (i.e. the 'echo "scsi add-single-device x x
x x" > /proc/scsi/scsi' and 'echo scsi remove-single-device x x x x" >
/proc/scsi/scsi') are known to be buggy and really not a production
level command.

For this particular issue from IT # 31269, the luns are on Dell/EMC
Clariion storage arrays.  The server is attached to the array by a
QLA2340 HBA. The add-single-device and remove-single-device don't 
work.With the application they're running, unloading the driver is not
an option. That will require shutting down the app or the database. If
they have to do that, they might as well reboot the system.

Note that with HP-UX the ioscan command can be used to rescan for new
devices and certain Sun devices can be dynamically added with the
devfsadm command.



Version-Release number of selected component (if applicable):
2.4.9-e.25enterprise

How reproducible:
Didn't try


Additional info:

I know the scope of this work may not be trivial but please at least
make the commands work for a selected set of HBA, particularly qlogic
cards.
Comment 2 Abe Shelton 2004-11-12 19:30:25 EST
see http://download.qlogic.com/drivers/23292/readme.txt ---


9.6 How To Force Rescan Of Devices
----------------------------------

Starting from driver version v6.06.00b12 there is support for the
mechanism
which allows the user to force the driver to do re-scan of the devices to
allow a new device to be added. This triggers the driver to initiate lun
discovery process.

To do this from the command line:

# echo "scsi-qlascan" > /proc/scsi/<driver-name>/<adapter-id>
(qlogic driver re-scans)

Where <driver-name> can be either one : qla2100/qla2200/qla2300   
<adapter-id> is the instance number of the HBA.

Once that has been done , user then can force the scsi mid layer to do its
own scan and build the device table entry for the new device:

# echo "scsi add-single-device 0 1 2 3" >/proc/scsi/scsi
(scsi mid layer re-scans)

Where "0 1 2 3" is replaced by your "Host Channel Id Lun".

The scanning has to be done in the above mentioned order. First the driver
(qla2300/qla2200 driver etc) and then the Linux scsi mid layer (i.e.
OS scan)
later.
Comment 3 Jim Paradis 2005-09-07 16:28:03 EDT
At this time any fix for this is beyond the scope of RHEL2.1 support status
(only critical security fixes are being accepted).  Since there is a known
workaround, no other fix will be implemented.

Note You need to log in before you can comment on or make changes to this bug.